#
# spec file for package mrtg (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           mrtg
BuildRequires:  gd-devel libjpeg-devel libpng-devel xorg-x11 xorg-x11-devel
Version:        2.12.2
Release:        14.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Productivity/Networking/Diagnostic
License:        GPL
URL:            http://www.mrtg.org
Summary:        The Multirouter Traffic Grapher
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.md5
Source2:        %{name}-%{version}.tar.gz.md5.pgp
Patch0:         %{name}-%{version}-icons.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool to visualize network traffic via a Web page.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>
    Dave Rand <dlr@bungi.com>

%debug_package
%prep
%setup -q
%patch0

%build
%define iconsdir /srv/www/icons
%{suse_update_config}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -pipe" \
CXXFLAGS="$RPM_OPT_FLAGS -Wall -fmessage-length=0" \
	./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--infodir=%{_infodir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--with-rrd \
	--with-gd-inc=/usr/include/gd
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{iconsdir}
install -m 644 doc/mrtg-[lmr].png $RPM_BUILD_ROOT%{iconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/apache2/icons
install -m 644 doc/mrtg-[lmr].png $RPM_BUILD_ROOT%{_datadir}/apache2/icons
chmod 644 doc/*.html doc/*.wml
rm -rf $RPM_BUILD_ROOT/usr/share/doc
rm -rf $RPM_BUILD_ROOT/usr/share/mrtg2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES COPYING COPYRIGHT README THANKS contrib doc/*.{pod,html,wml,txt,png}
%doc %{_mandir}/man?/*
%{_bindir}/*
%{iconsdir}
%{_prefix}/lib/mrtg2
%{_datadir}/apache2

%changelog -n mrtg
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 13 2005 - mjancar@suse.cz
- update to 2.12.2
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 2.11.1
* Fri Aug 13 2004 - mjancar@suse.cz
- update to 2.10.15
* Thu May 13 2004 - mjancar@suse.cz
- add contrib directory to %%doc (#40284)
* Mon Mar 08 2004 - pth@suse.de
- Don't use _libdir as mrtg only installs perl scripts in there
  and mrtg, cfgmaker and indexmaker are not prepared to deal
  with a configurable lib directory (bugzilla #35456).
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.10.13
* Thu Oct 16 2003 - mjancar@suse.cz
- update to 2.10.5
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jun 13 2003 - mjancar@suse.cz
- fix filelist
* Tue May 27 2003 - mjancar@suse.cz
- remove unpackaged files from buildroot
* Tue Apr 22 2003 - vbobek@suse.cz
- update to version 2.9.29
  * bugfixes
  * small improvements
- removed obsolete fixes of icon names from the main patch
* Wed Mar 12 2003 - vbobek@suse.cz
- fixed missing icons for apache2
* Mon Feb 17 2003 - ro@suse.de
- really removed traces of README.SuSE
* Sat Feb 15 2003 - ro@suse.de
- fixed specfile
* Fri Feb 14 2003 - vbobek@suse.cz
- updated to version 2.9.25:
  * updated squid monitoring example
  * fixed indexmaker
  * cosmetic tweaks for layout
  * bug fixes
- removed obsolete README.SuSE
- fixed rights for doc files to 644
* Fri Aug 16 2002 - postadal@suse.cz
- Upgrade to version 2.9.22
  * removed VERSION for ISA arry in MRTG_lib.pm ... it has no reason to be
  there, and perl 5.8 complains [Bug #17701]
  * fix for rateup rounding problems ...
* Fri Aug 09 2002 - ja@suse.cz
- fixed icons instalation into apache icons directory. Mrtg and
  indexmaker can now set correct path to icons dir.
* Fri Aug 09 2002 - postadal@suse.cz
- Upgrade to version 2.9.21.
* Wed May 08 2002 - postadal@suse.cz
- fixed lib paths (lib64)
* Mon Feb 18 2002 - tcrhak@suse.cz
- applied a patch by Klaus.Schmidinger@cadsoft.de fixing rateup.c
  to enable the usage or YTicsFactor-Parameters; bug #12847
- used %%{_libdir} macro
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Sep 19 2001 - adostal@suse.cz
- create README.SuSE (fix for outputs images)
* Mon Aug 06 2001 - adostal@suse.cz
- update to version 2.9.17
* Wed Mar 21 2001 - ro@suse.de
- changed neededforbuild to freetype2
* Mon Feb 26 2001 - cihlar@suse.cz
- update to version 2.9.10
- install data to /usr/lib/mrtg2 [#6511]
* Sat Dec 02 2000 - smid@suse.cz
- new version 2.9.4
* Tue Nov 21 2000 - ro@suse.de
- compile fix
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Jun 08 2000 - cihlar@suse.cz
- uncomment %%clean
* Wed May 10 2000 - smid@suse.cz
- upgrade to 2.8.12
- buildroot added
* Mon Oct 11 1999 - ro@suse.de
- update to 2.8.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Nov 18 1998 - ro@suse.de
- use gdlib: it's been here as separate package
- adapted paths to perl5.00502
* Mon Mar 02 1998 - florian@suse.de
- update to version 2.5.2
* Mon Feb 09 1998 - florian@suse.de and ch@suse.de
- new package (v2.5.1)
